Opened 7 years ago

Closed 6 years ago

#1924 closed enhancement (fixed)

Test BASE with Java 8

Reported by: Nicklas Nordborg Owned by: everyone
Priority: major Milestone: BASE 3.5
Component: install Version:
Keywords: Cc:

Description

Oracle has announced that public support for java 7 will end in april 2015: http://java.com/en/download/faq/java_7.xml

Java 8 has been available since march 2014. We should check if BASE works with Java 8 and fix any issues that are found. If all goes well we should change the documentation to recommend Java 8.

Change History (6)

comment:1 Changed 7 years ago by Nicklas Nordborg

I have got it running now, but there was an issue with Tomcat. At first I got an error:

An error occurred at line: [1] in the generated java file: 
[D:\Java\Tomcat7\work\Catalina\localhost\3.4-stable\org\apache\jsp\index_jsp.java]
The type java.util.Map$Entry cannot be resolved. 
It is indirectly referenced from required .class files

It turned out that my Tomcat version was too old. Upgrading to Tomcat 7.0.59 fixed the problem.

comment:2 Changed 7 years ago by Nicklas Nordborg

The CompileAll servlet managed to compile all jsp pages.

comment:3 Changed 7 years ago by Nicklas Nordborg

(In [6762]) References #1924: Test BASE with Java 8

Fixed memory statistics to support -1 for max memory for some memory spaces (eg. Metaspace memory which replaces the PermGen? space).

No more OutOfMEmoryError: PermGenSpace!! http://java.dzone.com/articles/java-8-permgen-metaspace

comment:4 Changed 7 years ago by Nicklas Nordborg

(In [6763]) References #1924: Test BASE with Java 8

Updated documentation to recommend Java 8.

comment:5 Changed 6 years ago by Nicklas Nordborg

(In [6807]) References #1924, #1927 and #1325. Added information about incompatible changes and things to consider when updgrading to BASE 3.5.

comment:6 Changed 6 years ago by Nicklas Nordborg

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.